# osgDB::Registry::ReadFunctor Struct Reference

Functor used in internal implementations. More...

List of all members.

## Public Member Functions

| ReadFunctor (const std::string &filename, const ReaderWriter::Options *options)
virtual | ~ReadFunctor ()
virtual ReaderWriter::ReadResult | doRead (ReaderWriter &rw) const =0
virtual bool | isValid (ReaderWriter::ReadResult &readResult) const =0
virtual bool | isValid (osg::Object *object) const =0

## Public Attributes

std::string | _filename
const ReaderWriter::Options * | _options

## Detailed Description

Functor used in internal implementations.

## Constructor & Destructor Documentation

osgDB::Registry::ReadFunctor::ReadFunctor | ( | const std::string & | filename,
|  | const ReaderWriter::Options * | options
| ) | `[inline]`

virtual osgDB::Registry::ReadFunctor::~ReadFunctor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ReaderWriter::ReadResult osgDB::Registry::ReadFunctor::doRead | ( | ReaderWriter & | rw | ) | const`[pure virtual]`

virtual bool osgDB::Registry::ReadFunctor::isValid | ( | osg::Object * | object | ) | const`[pure virtual]`

virtual bool osgDB::Registry::ReadFunctor::isValid | ( | ReaderWriter::ReadResult & | readResult | ) | const`[pure virtual]`

## Member Data Documentation

std::string osgDB::Registry::ReadFunctor::_filename

const ReaderWriter::Options* osgDB::Registry::ReadFunctor::_options

The documentation for this struct was generated from the following file:

- osgDB/Registry